Package com.emc.d2fs.services.download_service

# Class GetImportStructureUrlsRequest

java.lang.Object
com.emc.d2fs.services.download_service.GetImportStructureUrlsRequest

All Implemented Interfaces:
  `Serializable`

public class GetImportStructureUrlsRequest extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/context}context"/>
           </sequence>
           <attribute name="masterId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="folderPath" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="structureConfigName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="contentId" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="baseUrl" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetImportStructureUrlsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseUrl()`
  Gets the value of the baseUrl property.
  `String`
  `getContentId()`
  Gets the value of the contentId property.
  `Context`
  `getContext()`
  Gets the value of the context property.
  `String`
  `getFolderPath()`
  Gets the value of the folderPath property.
  `String`
  `getMasterId()`
  Gets the value of the masterId property.
  `String`
  `getStructureConfigName()`
  Gets the value of the structureConfigName property.
  `void`
  `setBaseUrl(String value)`
  Sets the value of the baseUrl property.
  `void`
  `setContentId(String value)`
  Sets the value of the contentId property.
  `void`
  `setContext(Context value)`
  Sets the value of the context property.
  `void`
  `setFolderPath(String value)`
  Sets the value of the folderPath property.
  `void`
  `setMasterId(String value)`
  Sets the value of the masterId property.
  `void`
  `setStructureConfigName(String value)`
  Sets the value of the structureConfigName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetImportStructureUrlsRequest

    public GetImportStructureUrlsRequest()

- ## Method Details

  - ### getContext

    public Context getContext()
    Gets the value of the context property.
    Returns:
      possible object is `Context`

  - ### setContext

    public void setContext(Context value)
    Sets the value of the context property.
    Parameters:
      `value` - allowed object is `Context`

  - ### getMasterId

    public String getMasterId()
    Gets the value of the masterId property.
    Returns:
      possible object is `String`

  - ### setMasterId

    public void setMasterId(String value)
    Sets the value of the masterId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFolderPath

    public String getFolderPath()
    Gets the value of the folderPath property.
    Returns:
      possible object is `String`

  - ### setFolderPath

    public void setFolderPath(String value)
    Sets the value of the folderPath property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStructureConfigName

    public String getStructureConfigName()
    Gets the value of the structureConfigName property.
    Returns:
      possible object is `String`

  - ### setStructureConfigName

    public void setStructureConfigName(String value)
    Sets the value of the structureConfigName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getContentId

    public String getContentId()
    Gets the value of the contentId property.
    Returns:
      possible object is `String`

  - ### setContentId

    public void setContentId(String value)
    Sets the value of the contentId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBaseUrl

    public String getBaseUrl()
    Gets the value of the baseUrl property.
    Returns:
      possible object is `String`

  - ### setBaseUrl

    public void setBaseUrl(String value)
    Sets the value of the baseUrl property.
    Parameters:
      `value` - allowed object is `String`